---
stage: Create
group: Code Review
info: To determine the technical writer assigned to the Stage/Group associated with this page, see https://about.gitlab.com/handbook/product/ux/technical-writing/#assignments
---

<!--
This documentation is auto generated by a script.
Please do not edit this file directly. Run `make gen-docs` instead.
-->

# `glab cluster agent update-kubeconfig`

Update selected kubeconfig.

## Synopsis

Update selected kubeconfig for use with a GitLab agent for Kubernetes.

```plaintext
glab cluster agent update-kubeconfig [flags]
```

## Options

```plaintext
  -a, --agent int           The numeric agent ID to create the kubeconfig entry for.
      --kubeconfig string   Use a particular kubeconfig file.
  -u, --use-context         Use as default context.
```

## Options inherited from parent commands

```plaintext
      --help              Show help for this command.
  -R, --repo OWNER/REPO   Select another repository. Can use either OWNER/REPO or `GROUP/NAMESPACE/REPO` format. Also accepts full URL or Git URL.
```
